routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'UsersController@index')->name('home')->middleware('auth');

Route::resource('posts', 'PostsController')->middleware('auth');
Route::resource('posts.comments', 'CommentsController')->middleware('auth');
Route::resource('users', 'UsersController')->only('index')->middleware('auth');
Route::get('follow/{user}', 'UsersController@follow')->name('follow')->middleware('auth');
Route::resource('posts.likes', 'LikesController')->only('store')->middleware('auth');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Comment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Orchid\Attachment\Attachable;
use Orchid\Filters\Filterable;
use Orchid\Screen\AsSource;

class Comment extends Model
{
    use AsSource, Attachable, Filterable;

    protected $fillable = ['user_id', 'post_id', 'body'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user() {
        return $this->belongsTo(User::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function post() {
        return $this->belongsTo(Post::class);
    }

    protected $casts = [
        'approved' => 'boolean',
    ];

    protected $allowedSorts = [
        'created_at',
        'updated_at'
    ];
}

app/Http/Controllers/CommentsController.php
<?php

namespace App\Http\Controllers;

use App\Comment;
use App\Http\Requests\CommentRequest;
use App\Post;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CommentsController extends Controller
{
    /**
     * @param CommentRequest $request
     * @param Post $post
     * @return \Illuminate\Http\JsonResponse
     * @throws \Throwable
     */
    public function store(CommentRequest $request, Post $post)
    {
        $validated = $request->validated();

        Auth::user();

        $comment = new Comment();
        $comment->body = $request->input('body');
        $comment->post_id = $post->id;
        $comment->user_id = $request->user()->id;
        $comment->save();

        return response()->json([
            'comment' => view('comments.comment', compact('comment', 'post'))->render()
        ], 201);
    }


    /**
     * @param Post $post
     * @param Comment $comment
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     */
    public function edit(Post $post, Comment $comment)
    {
        $this->authorize('update', $comment);
        return view('comments.edit', compact('comment', 'post'));
    }

    /**
     * @param CommentRequest $request
     * @param $post
     * @param Comment $comment
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(CommentRequest $request, $post, Comment $comment)
    {
        $comment->update($request->all());
        return redirect(route('posts.show', compact('comment', 'post')))->with('message', 'Comment updated!');
    }

    /**
     * @param $post
     * @param $id
     * @return \Illuminate\Http\JsonResponse
     * @throws \Illuminate\Auth\Access\AuthorizationException
     */
    public function destroy($post, $id)
    {
        $comment = Comment::findOrFail($id);
        $this->authorize('delete', $comment);
        $comment->delete();
        return response()->json([
            'status' => 'ok'
        ], 200);
    }
}

resources/views/comments/comment.blade.php
<div class="media">
    <div class="alert alert-danger" role="alert">
        You comment has been uploaded! Please wait until it is approved by Admin!
    </div>
</div>

resources/views/comments/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="container mt-2">
        <div class="col-10">
            <h5>Edit comment:</h5>
            <form method="post" action="{{route('posts.comments.update', ['comment' => $comment, 'post' => $post])}}">
                @csrf
                @method('put')
                <div class="form-row">
                    <div class="form-group col-md-10">
                        <label for="body"><b>Comment</b></label><span class="text-danger">*</span>
                        <textarea rows="5" class="form-control @error('body') is-invalid @enderror" id="body"
                                  name="body">{{$comment->body}}</textarea>
                        @error('body')
                        <p class="error">{{$message}}</p>
                        @enderror
                    </div>
                </div>
                <button type="submit" class="btn btn-primary active pl-4 pr-4 mr-3">Edit</button>
                <a href="{{route('posts.show', ['post' => $post])}}">Back</a>
            </form>
        </div>
    </div>
@endsection